diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index ec7a1fc..c39bada 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>1032</width>
+    <width>1031</width>
     <height>766</height>
    </rect>
   </property>
@@ -18,6 +18,13 @@
   </property>
   <widget class="QWidget" name="centralwidget">
    <layout class="QGridLayout" name="gridLayout">
+    <item row="0" column="2" alignment="Qt::AlignRight">
+     <widget class="QLabel" name="usernamLable">
+      <property name="text">
+       <string>Username</string>
+      </property>
+     </widget>
+    </item>
     <item row="2" column="0" colspan="3">
      <widget class="QFrame" name="frame">
       <property name="enabled">
@@ -36,8 +43,8 @@
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
-       <item row="9" column="4">
-        <widget class="QLabel" name="Date_submitted">
+       <item row="12" column="6">
+        <widget class="QLabel" name="Submit_user">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -60,13 +67,13 @@
          </property>
         </widget>
        </item>
-       <item row="11" column="5">
-        <widget class="QLabel" name="Submitter_static">
+       <item row="12" column="4">
+        <widget class="QLabel" name="Karma">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -77,70 +84,72 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Submitter</string>
+          <string>__</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="8" column="5">
-        <widget class="QLabel" name="Status_static">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
-           <kerning>true</kerning>
-          </font>
-         </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
-         </property>
-         <property name="text">
-          <string>Status</string>
+       <item row="26" column="5">
+        <widget class="QComboBox" name="karmaBox">
+         <property name="currentText">
+          <string>0</string>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+         <property name="currentIndex">
+          <number>1</number>
          </property>
+         <item>
+          <property name="text">
+           <string>1</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>-1</string>
+          </property>
+         </item>
         </widget>
        </item>
-       <item row="11" column="6">
-        <widget class="QLabel" name="Submit_user">
+       <item row="6" column="3">
+        <widget class="QLabel" name="Package_breif">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
+           <pointsize>12</pointsize>
            <weight>50</weight>
            <bold>false</bold>
-           <kerning>true</kerning>
           </font>
          </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
-         </property>
          <property name="text">
-          <string>__</string>
-         </property>
-         <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <string>breif</string>
          </property>
         </widget>
        </item>
-       <item row="25" column="6" colspan="2">
-        <widget class="QPushButton" name="pushButton">
+       <item row="17" column="3">
+        <widget class="QLabel" name="label_2">
          <property name="text">
-          <string>Submit</string>
+          <string>Comment</string>
          </property>
         </widget>
        </item>
-       <item row="8" column="3">
-        <widget class="QLabel" name="Release_static">
+       <item row="18" column="3" colspan="6">
+        <widget class="QTextEdit" name="commentEdit">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>100</height>
+          </size>
+         </property>
+        </widget>
+       </item>
+       <item row="10" column="5">
+        <widget class="QLabel" name="Request_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -156,42 +165,22 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Release</string>
+          <string>Request</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="8" column="4">
-        <widget class="QLabel" name="Release">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
-           <kerning>true</kerning>
-          </font>
-         </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
-         </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
-         </property>
+       <item row="1" column="3">
+        <widget class="QLabel" name="UpdateType">
          <property name="text">
           <string>__</string>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
-         </property>
         </widget>
        </item>
-       <item row="18" column="4" colspan="5">
-        <widget class="QLineEdit" name="Password"/>
-       </item>
-       <item row="9" column="5">
-        <widget class="QLabel" name="Request_static">
+       <item row="12" column="3">
+        <widget class="QLabel" name="Karma_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -207,14 +196,14 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Request</string>
+          <string>Karma</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="0" column="0" rowspan="26">
+       <item row="0" column="0" rowspan="27">
         <widget class="QFrame" name="frame_2">
          <property name="minimumSize">
           <size>
@@ -279,86 +268,87 @@
          </layout>
         </widget>
        </item>
-       <item row="25" column="4">
-        <widget class="QLabel" name="label">
+       <item row="10" column="3">
+        <widget class="QLabel" name="Date_static">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <weight>75</weight>
+           <bold>true</bold>
+           <kerning>true</kerning>
+          </font>
+         </property>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
          <property name="text">
-          <string>Karma</string>
+          <string>date submitted</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="2" colspan="5">
-        <widget class="QTreeWidget" name="treeWidget_comment">
-         <column>
-          <property name="text">
-           <string>#</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>karma</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>user</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>comment</string>
-          </property>
-         </column>
-        </widget>
-       </item>
-       <item row="6" column="3">
-        <widget class="QLabel" name="Package_breif">
+       <item row="10" column="4">
+        <widget class="QLabel" name="Date_submitted">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>12</pointsize>
            <weight>50</weight>
            <bold>false</bold>
+           <kerning>true</kerning>
           </font>
          </property>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
          <property name="text">
-          <string>breif</string>
+          <string>__</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="14" column="3">
-        <widget class="QLabel" name="label_2">
+       <item row="26" column="4">
+        <widget class="QLabel" name="label">
          <property name="text">
-          <string>Comment</string>
+          <string>Karma</string>
          </property>
         </widget>
        </item>
-       <item row="25" column="5">
-        <widget class="QComboBox" name="comboBox">
-         <property name="currentText">
-          <string>0</string>
+       <item row="9" column="4">
+        <widget class="QLabel" name="Release">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <weight>50</weight>
+           <bold>false</bold>
+           <kerning>true</kerning>
+          </font>
          </property>
-         <property name="currentIndex">
-          <number>1</number>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
+         </property>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
+         </property>
+         <property name="text">
+          <string>__</string>
+         </property>
+         <property name="alignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
-         <item>
-          <property name="text">
-           <string>-1</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>0</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>+1</string>
-          </property>
-         </item>
         </widget>
        </item>
-       <item row="11" column="4">
-        <widget class="QLabel" name="Karma">
+       <item row="9" column="6">
+        <widget class="QLabel" name="Status">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -381,19 +371,6 @@
          </property>
         </widget>
        </item>
-       <item row="18" column="3">
-        <widget class="QLineEdit" name="Username"/>
-       </item>
-       <item row="12" column="7">
-        <widget class="QListWidget" name="listWidget_3">
-         <property name="maximumSize">
-          <size>
-           <width>400</width>
-           <height>16777215</height>
-          </size>
-         </property>
-        </widget>
-       </item>
        <item row="5" column="3" colspan="4">
         <widget class="QLabel" name="Package_name_main">
          <property name="maximumSize">
@@ -415,23 +392,13 @@
          </property>
         </widget>
        </item>
-       <item row="15" column="3" colspan="6">
-        <widget class="QTextEdit" name="textEdit">
-         <property name="maximumSize">
-          <size>
-           <width>16777215</width>
-           <height>100</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="8" column="6">
-        <widget class="QLabel" name="Status">
+       <item row="9" column="3">
+        <widget class="QLabel" name="Release_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -442,15 +409,22 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>__</string>
+          <string>Release</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="11" column="3">
-        <widget class="QLabel" name="Karma_static">
+       <item row="26" column="6" colspan="2">
+        <widget class="QPushButton" name="pushButton">
+         <property name="text">
+          <string>Submit</string>
+         </property>
+        </widget>
+       </item>
+       <item row="12" column="5">
+        <widget class="QLabel" name="Submitter_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -466,20 +440,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Karma</string>
+          <string>Submitter</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="6">
-        <widget class="QLabel" name="Request">
+       <item row="9" column="5">
+        <widget class="QLabel" name="Status_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -490,27 +464,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string/>
+          <string>Status</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
-         </property>
-        </widget>
-       </item>
-       <item row="16" column="4" colspan="5">
-        <widget class="QLabel" name="Password_label">
-         <property name="text">
-          <string>Password</string>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="3">
-        <widget class="QLabel" name="Date_static">
+       <item row="10" column="6">
+        <widget class="QLabel" name="Request">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -521,35 +488,45 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>date submitted</string>
+          <string/>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="7" column="3" colspan="5">
-        <widget class="QTextBrowser" name="Release_notes"/>
-       </item>
-       <item row="16" column="3">
-        <widget class="QLabel" name="Username_Label">
-         <property name="text">
-          <string>Username</string>
-         </property>
+       <item row="13" column="3" colspan="6">
+        <widget class="QTreeWidget" name="treeWidget_comment">
+         <column>
+          <property name="text">
+           <string>#</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>karma</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>user</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>comment</string>
+          </property>
+         </column>
         </widget>
        </item>
-       <item row="1" column="3">
-        <widget class="QLabel" name="UpdateType">
-         <property name="text">
-          <string>__</string>
-         </property>
-        </widget>
+       <item row="7" column="3" colspan="6">
+        <widget class="QTextBrowser" name="Release_notes"/>
        </item>
       </layout>
       <zorder>Karma_static</zorder>
       <zorder>frame_2</zorder>
       <zorder>Package_breif</zorder>
-      <zorder>textEdit</zorder>
+      <zorder>commentEdit</zorder>
       <zorder>Package_name_main</zorder>
       <zorder>Release_static</zorder>
       <zorder>Date_static</zorder>
@@ -564,25 +541,13 @@
       <zorder>Status</zorder>
       <zorder>Request</zorder>
       <zorder>UpdateType</zorder>
-      <zorder>Username</zorder>
-      <zorder>Password</zorder>
-      <zorder>Username_Label</zorder>
-      <zorder>Password_label</zorder>
-      <zorder>comboBox</zorder>
+      <zorder>karmaBox</zorder>
       <zorder>label</zorder>
       <zorder>label_2</zorder>
       <zorder>Release_notes</zorder>
-      <zorder>listWidget_3</zorder>
       <zorder>treeWidget_comment</zorder>
      </widget>
     </item>
-    <item row="0" column="2">
-     <widget class="QLabel" name="label_3">
-      <property name="text">
-       <string>TextLabel</string>
-      </property>
-     </widget>
-    </item>
    </layout>
   </widget>
   <widget class="QStatusBar" name="statusbar"/>
